Skip to content
Start here

Create a new TURN key

client.Calls.TURN.New(ctx, params) (*TURNNewResponse, error)
POST/accounts/{account_id}/calls/turn_keys

Creates a new Cloudflare Calls TURN key.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Calls Write
ParametersExpand Collapse
params TURNNewParams
AccountID param.Field[string]

Path param: The account identifier tag.

maxLength32
Name param.Field[string]optional

Body param: A short description of a TURN key, not shown to end users.

ReturnsExpand Collapse
type TURNNewResponse struct{…}
Created Timeoptional

The date and time the item was created.

formatdate-time
Key stringoptional

Bearer token

maxLength64
minLength64
Modified Timeoptional

The date and time the item was last modified.

formatdate-time
Name stringoptional

A short description of a TURN key, not shown to end users.

UID stringoptional

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32

Create a new TURN key

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/calls"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  turn, err := client.Calls.TURN.New(context.TODO(), calls.TURNNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", turn.UID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "key": "66bcf64aa8907b9f9d90ac17746a77ce394c393b92b3916633dc02846e608ad4",
    "modified": "2014-01-02T02:20:00Z",
    "name": "my-turn-key",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "key": "66bcf64aa8907b9f9d90ac17746a77ce394c393b92b3916633dc02846e608ad4",
    "modified": "2014-01-02T02:20:00Z",
    "name": "my-turn-key",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}